/*
 * Copyright (C) 2004 Tilman Sauerbeck (tilman at code-monkey de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <ruby.h>

#include <Evas.h>

#include "rb_evas_main.h"
#include "rb_evas.h"
#include "rb_evas_object.h"
#include "rb_evas_object_events.h"
#include "rb_rectangle.h"
#include "rb_line.h"
#include "rb_gradient.h"
#include "rb_polygon.h"
#include "rb_image.h"
#include "rb_text.h"
#include "rb_smart.h"

void Init_evas (void)
{
	mEvas = rb_define_module ("Evas");

	Init_Evas ();
	Init_EvasObject ();
	Init_EvasObjectEvents ();
	Init_Rectangle ();
	Init_Line ();
	Init_Gradient ();
	Init_Polygon ();
	Init_Image ();
	Init_Text ();
	Init_Smart ();
}
